###
# main.rb is the only Simunit file loaded by the Unveil Package manager.
#
# Simunits are not intended to be complex, and the whole code should fit in a single file.
#
#
# For documentation, please direct to:
# http://unveil.gamepedia.com/Package_Simunits

class Simunit::My_Simunit < Simulation_Event_Unit

	# CHANGE THIS: To the folder name of your Package.
	def package_codename
		:my_pack
	end

	##
	# Name visible to the player when interacting with the Simunit (or Game_Event if you may).
	def name
		'My Simunit'
	end


    ##
    # Initializes this Simunit.
    # This is called by the simulation engine, never instanced by the user.
    def setup
        # Life duration counter.
        # This example sets the Simunit to die in 7 days, 12 hours and 30 minutes, since the moment it is created.
		@life = 7.days + 12.hours + 30.minutes
    end

    ##
    # Whether this Simunit is still alive or not.
    # Once it returns false once to the system, it will be terminated and cleaned up.
    def alive?
		@life > 0
    end


    ##
    # Plays a single loop of simulation.
    # Called on every minute change in the game.
    # This is called 60 times in an hour, 1440 times in a day.
    def simulation_tick
		return unless super

		# Decrease life duration counter.
		@life -= 1

        # ...
    end

    ##
    # Procedures once the Simunit is dead and must be deleted.
    def terminate
        super

        # ...
    end

end
